function AddNoisePSD(noisetfp)
%% ===========================================================================
% Copyright (C) 2002-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                     All rights reserved. 
% Description   : ADSL performance simulations, 
%                 Add an absolute noise PSD (like same pair ISDN)
%
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% Reference:
%    ETSI STC TM6 Draft RTS/TM-06006 rev 10a (ADSL), 2001-05
%
% CVS:       $Id: AddNoisePSD.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2002-01-11 (ToNo) Created
%      2003-11-03 (ToNo) Lists now use cell arrays for both Octave and Matlab
%% ===========================================================================
global ex;
global result;

%% ===========================================================================
% Adjust the results with an absolute noise PSD
MNNT = eval([noisetfp.PSD.downstream ';']);
MNLT = eval([noisetfp.PSD.upstream ';']);

rlen = length(result);
for pos = 1:rlen,
    rr=result{pos};
    rr.NT.Tot_noise.up   = rr.NT.Tot_noise.up+MNNT;
    rr.NT.Tot_noise.down = rr.NT.Tot_noise.down+MNNT;
    rr.LT.Tot_noise.up   = rr.LT.Tot_noise.up+MNLT;
    rr.LT.Tot_noise.down = rr.LT.Tot_noise.down+MNLT;
    result{pos}=rr;
end;

