function AdjustForMN()
%% ===========================================================================
% Copyright (C) 2001-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                     All rights reserved. 
% Description   : ADSL performance simulations, 
%                 Adjusting for modem noise
%
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% Reference:
%    ETSI STC TM6 Draft RTS/TM-06006 rev 10a (ADSL), 2001-05
%
% CVS:       $Id: AdjustForMN.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2001-12-18 (ToNo) Created
%      2003-11-03 (ToNo) Lists now use cell arrays for both Octave and Matlab
%% ===========================================================================
global ex;
global result;

%% ===========================================================================
% Adjust the results
MNNT = 10.^(eval([ex.param.modemNoiseF.NT ';'])/10);
MNLT = 10.^(eval([ex.param.modemNoiseF.LT ';'])/10);

rlen = length(result);
for pos = 1:rlen,
    rr=result{pos};
    rr.NT.Tot_noise.up   = max(rr.NT.Tot_noise.up,MNNT);
    rr.NT.Tot_noise.down = max(rr.NT.Tot_noise.down,MNNT);
    rr.LT.Tot_noise.up   = max(rr.LT.Tot_noise.up,MNLT);
    rr.LT.Tot_noise.down = max(rr.LT.Tot_noise.down,MNLT);
    result{pos}=rr;
end;

