%% ===========================================================================
% Copyright (C):
%       1998-2000 by Telia Research AB, Lulea, Sweden;                
%       2001-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Startup of a GUI based VDSL experiment
%
% File          : startup.m
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : 
%
% CVS:       $Id: startup.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%      2002-01-25 (ToNo) Print what program to run instead of running it
%      2002-07-01 (ToNo) Adjusted for Octave to Matlab compatibility port
%% ===========================================================================

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/../../';
addpath([cwd relative 'xdslcomm']);
addpath([cwd relative 'xdsldefs']);
% Set up tool dependent path
if onMatlab
   addpath([cwd relative 'matlab']);
else
   addpath([cwd relative 'octave']);
end

%% ===========================================================================
% Greet user
greetings;

%% ===========================================================================
% Tell user what program to run
fprintf('Issue "uiMain" to run a mixed service xDSL simulation.\n');
