%% ===========================================================================
% Copyright (C):                                        
%       1998-2000 by Telia Research AB, Lulea, Sweden;                
%       2001-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Description   : Startup of VDSL UPBO experiment
%
% File          : startup.m
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: startup.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%      2002-07-23 (ToNo) Added support for Octave
%% ===========================================================================

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
            'please use an US (or posix C) version of the system. ' ...
            'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/../../';
addpath([cwd relative 'xdslcomm']);
addpath([cwd relative 'xdsldefs']);

if onMatlab
    % directory for Matlab comp. functions
    addpath([cwd relative 'matlab']);	
else
    % directory for Octave comp. functions
    addpath([cwd relative 'octave']);  
end

%% ===========================================================================
% Greet user
greetings;

%% ===========================================================================
% Tell user what program to run
fprintf('Issue "ExPBO" to run a VDSL upstream power back-off simulation.\n');
