%% ===========================================================================
% Copyright (C):
%       2001-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Startup of VDSL performance experiment
%
% File          : startup.m
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : 
%
% CVS:       $Id: startup.m 730 2008-10-09 14:29:43Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2001-09-04 (ToNo) Created
%      2002-01-25 (ToNo) Print what program to run instead of running it
%      2002-07-01 (ToNo) Adjusted for Octave to Matlab compatibility port
%% ===========================================================================

%% ===========================================================================
% Set up xDSL simulator paths

cwd=pwd;
relative='/../../';
addpath([cwd relative 'xdslcomm']);
addpath([cwd relative 'xdsldefs']);

% Set up tool dependent path
if onMatlab
   addpath([cwd relative 'matlab']);
else
   addpath([cwd relative 'octave']);
end

%% ===========================================================================
% Tell user what program to run
%% ===========================================================================
% Greet user
greetings;

fprintf('Issue "ETSI_VDSL2" to run an ETSI VDSL2 performance simulations.\n');
fprintf('Issue "ANSI_VDSL2" to run an ANSI VDSL2 performance simulations.\n');
