function namelist = getNameList(thelist)
%% ===========================================================================
%getNameList - Gets all available names in a list.
%
% Parameter:    thelist	        The list to be searched
% Returns:      namelist	A list of strings (with the names)
%
% Example(s):
%   scen = getNameList(gui.ttlist); returns an array of strings containing available 
%   names
%
% Algorithmic details:
%
% Reference:
%    FTW's xDSLsimu manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: getNameList.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================
% Change History
%      1999-02-26 (ToNo) Created
%      2003-11-03 (ToNo) Lists now use cell arrays for both Octave and Matlab
%% ===========================================================================

llen = length(thelist);
cells(llen) = {thelist{llen}.name}; % Preallocate for speed
for i=1:llen-1,
    cells(i)={thelist{i}.name};
end
namelist=str2mat(char(cells));
