function methods = getUPBOmethods()
%% ===========================================================================
%getUPBOmethods - Gets all available PBO methods for an XDSLsimu experiment.
%
% Returns:      methods	Structure describing the PBO selectable from GUI
%
% Example(s):
%   scen = getUPBOmethods; returns an array of strings containing available 
%   scenario names
%
% Algorithmic details:
%
% Reference:
%    FTW's xDSLsimu manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       1999 by Telia Research AB, Lulea, Sweden;                
%       2000-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: getUPBOmethods.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================
% Change History
%      1998-12-16 (ToNo) Created
%      1999-03-11 (DaB)  Added new PBO methods
%      2003-01-02 (ToNo) Added Reference PBO method
%      2005-03-29 (ToNo) Renamed it to getUPBOmethods
%      2008-08-20 (ToNo) Fixed script and reran it
%% ===========================================================================

% This list was generated by running the following (on unix):
% sed s/%.\*// calcUPBO.m | grep case | perl "-F'" -nae 'print "'\''",@F[1],"'\'', ...", "\n";'
% Note that one need to remove the last "," from the result

methods = str2mat( ...
'None', ...
'RefRef', ...
'RefRefIdeal', ...
'RefLen', ...
'RefFEXT', ...
'RefNoise', ...
'RefFreq', ...
'ConstantAvgLogM', ...
'ConstantRefNoiseM' ...
);

% 'RefLenM', ...
% 'RefFreqM', ...
