%% ===========================================================================
% Copyright (C):                                        
%       1999-2000 by Telia Research AB, Lulea, Sweden;                
%       2000-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Define things for ETSI defaults
%
% File          : ETSIdefinitions.m
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: ETSI_VDSL_defs.m 752 2009-01-02 13:03:52Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created
%      2000-03-30 (ToNo) Removed everything with gui
%      2000-04-05 (UvAn) New return value from etsi_tfplanHAM
%% ===========================================================================
global ex;

%% ===========================================================================
% ETSI default inclusions

ex.param    = setupParam;                   % Parameters

[ex.tfplist, ex.param.HAMBandName] = ...
	etsi_tfplanHAM([]);                 % Need a HAM band definition
%ex.tfplist  = fsan_modelsMISC(ex.tfplist);  % Get plans for alien noise
ex.tfplist  = etsi_noisesVDSL(ex.tfplist);  % Get ETSI VDSL noise models
ex.tfplist  = etsi_masksVDSL(ex.tfplist);   % Get ETSI VDSL PSD masks
ex.tfplist  = etsi_tfplansVDSL(ex.tfplist); % Get ETSI VDSL plans

ex.lclist   = setupLClist;                  % Line code definition (theoretical)
ex.lclist   = etsi_lcdefsADSL(ex.lclist);   % Line code definitions (ADSL)
ex.lclist   = etsi_lcdefsVDSL(ex.lclist);   % ETSI Line code definitions (VDSL)

ex.clist    = etsi_cablesVDSL([]);          % Get ETSI cables;

etsi_goalsVDSL;		                    % Get ETSI rate and reach goals

