function lclist = etsi_lcdefsHDSL(lclist)
%% ===========================================================================
%etsi_lcdefsHDSL(lclist) - Sets up the tfplan for ETSI HAM band
%
% Parameter:    lclist	        Structure describing line code dependent stuff
% Returns:      lclist		Structure describing line code dependent stuff
%
% Example(s):
%   ex.lclist = etsi_lcdefsHDSL(ex.lclist);       Add to existing lclist
%   lc = getList(ex.lclist,'ETSI-HDSL-2B1Q-2p');  Get HDSL 2B1Q line code stuff
%
%   ex.lclist = etsi_lcdefsHDSL([]);              Create a new lclist
%   lc = getList(ex.lclist,'ETSI-HDSL-CAP-2p') ;  Get HDSL CAP line code stuff
%
% Reference:
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       2003-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: etsi_lcdefsHDSL.m,v 1.2 2005/01/04 10:25:12 tono Exp $
%% ===========================================================================
% Change History
%      2003-11-27 (ToNo) Created
%% ===========================================================================

tmp_lc = lcDefHDSLCAP;
lclist  = insertList(lclist,tmp_lc);
tmp_lc = lcDefHDSL2B1Q;
lclist  = insertList(lclist,tmp_lc);
    
