function lcPrintHDSL(lc)
%% ===========================================================================
%lcPrintHDSL - Print the lincode description structure for HDSL
%
% Parameter:    lc     Line code structure to print
%
% Reference:
% 
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 2003-2009 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                     All rights reserved. 
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: lcPrintHDSL.m,v 1.3 2005/01/04 10:32:28 tono Exp $
%% ===========================================================================
% Change History
%      2003-12-01 (ToNo) Created, based on lcPrintSDSL
%% ===========================================================================
fprintf('Line code name: %s\n',lc.name);

fprintf('Required SNR = %gdB, coding gain=%gdB, loss=%gdB\n',...
lc.param.reqSNR,...
lc.param.codingGain,...
lc.param.SNRloss);

fprintf('xtalk_margin=%gdB, signal_margin=%gdB\n',...
lc.param.xtalk_margin,...
lc.param.signal_margin);

fprintf('SNRmax=%gdB\n',...
lc.param.SNRMax);

fprintf('BitRate=%gkbit, overhead=%gkbit, %d bits/symbol\n',...
lc.param.mod.brate.rate/1e3,...
lc.param.mod.brate.ohead/1e3,...
lc.param.mod.bpsym);
fprintf(' => fsym=%gkHz\n',...
(lc.param.mod.brate.rate+lc.param.mod.brate.ohead)/lc.param.mod.bpsym/1e3);

fprintf('Efficiency Loss = %2.2f%%\n',...
lc.param.efficiencyLoss*100);
